# List companies

### Input

User needs to provide search phrase and search mode. Results are limited upon to 100 items.

<table><thead><tr><th width="109">Attribute</th><th width="504">Type</th><th>Description</th></tr></thead><tbody><tr><td>search</td><td>String</td><td>Search phrase (at least 3 characters)</td></tr><tr><td>searchMode</td><td>String</td><td><p>Search mode:</p><ul><li><code>ALL_KEYWORDS</code></li><li><code>ANY_KEYWORD</code></li><li><code>EXACT_MATCH</code><br></li></ul></td></tr></tbody></table>

### Output

<table><thead><tr><th width="237">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>companyInfo</td><td>String</td><td>Information about the company, including the district court, registration number, and more.</td></tr><tr><td>companyName</td><td>String</td><td>The name of the company.</td></tr><tr><td>companyNumber</td><td>String</td><td>The registration number of the company.</td></tr><tr><td>court</td><td>String</td><td>The district court where the company is registered.</td></tr><tr><td>registry</td><td>String</td><td>The type of registry (e.g., VR, HRA) where the company is registered.</td></tr><tr><td>registeredOffice</td><td>String</td><td>The location of the registered office of the company.</td></tr><tr><td>status</td><td>String</td><td>The current registration status of the company (e.g., currently registered).</td></tr></tbody></table>

```json
{
 "handelsregister": [
    {
      "companyInfo": "Bavaria District court München VR 201131",
      "companyName": "1.Volkswagen & Audi Club Mittenwald e.V.",
      "companyNumber": "201131",
      "court": "München",
      "registry": "VR",
      "registeredOffice": "Mittenwald",
      "status": "currently registered"
    },
    {
      "companyInfo": "Saxony District court Dresden HRA 4035",
      "companyName": "AZ Verwaltungs GmbH & Co. KG",
      "companyNumber": "4035",
      "court": "Dresden",
      "registry": "HRA",
      "registeredOffice": "Dresden",
      "status": "currently registered"
    },
    {
      "companyInfo": "Saxony District court Dresden VR 3001",
      "companyName": "All-VW-Club \"Niederflur\" Sachsen e.V.",
      "companyNumber": "3001",
      "court": "Dresden",
      "registry": "VR",
      "registeredOffice": "Dresden",
      "status": "currently registered"
    },
    {
      "companyInfo": "Hesse District court Frankfurt am Main VR 8766",
      "companyName": "Arbeitsgemeinschaft von Partnergesellschaftern der Volkswagen Original Teile Logistik Gesellschaft (ArGe OTLG)",
      "companyNumber": "8766",
      "court": "Frankfurt am Main",
      "registry": "VR",
      "registeredOffice": "Frankfurt am Main",
      "status": "currently registered"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/handelsregister/company-profile/list-companies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
